https://www.docusign.com/v2.1/accounts/{accountId}/templatesRetrieves the list of templates for the specified account. The request can be limited to a specific folder. ### Related topics - How to create a template
The external account number (int) or account ID GUID.
The maximum number of results to return. Use `start_position` to specify the number of results to skip. **Note:** If the `count` parameter is not used, `listTemplates` has a default limit of 2,000 templates. If the account has more than 2,000 templates, `listTemplates` will return the first 2,000 templates. To retrieve more than 2,000 templates, repeat the API call, specifying `start_position` and `count` to control the number of templates retrieved.
Lists templates created on or after this date.
Lists templates modified before this date.
A comma-separated list of folder ID GUIDs.
The type of folder to return templates for. Possible values are: - `templates`: Templates in the **My Templates** folder. Templates in the **Shared Templates** and **All Template** folders (if the request ID from and Admin) are excluded. - `templates_root`: Templates in the root level of the **My Templates** folder, but not in an actual folder. Note that the **My Templates** folder is not a real folder. - `recylebin`: Templates that have been deleted.
Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created.
A comma-separated list of additional template attributes to include in the response. Valid values are: - `powerforms`: Includes details about the PowerForms associated with the templates. - `documents`: Includes information about template documents. - `folders`: Includes information about the folder that holds the template. - `favorite_template_status`: Includes the template `favoritedByMe` property. **Note:** You can mark a template as a favorite only in eSignature v2.1. - `advanced_templates`: Includes information about advanced templates. - `recipients`: Includes information about template recipients. - `custom_fields`: Includes information about template custom fields. - `notifications`: Includes information about the notification settings for templates.
When **true,** retrieves templates that have been permanently deleted. The default is **false.** **Note:** After you delete a template, you can see it in the `Deleted` bin in the UI for 24 hours. After 24 hours, the template is permanently deleted.
When **true,** downloads the templates listed in `template_ids` as a collection of JSON definitions in a single zip file. The `Content-Disposition` header is set in the response. The value of the header provides the filename of the file. The default is **false.** **Note:** This parameter only works when you specify a list of templates in the `template_ids` parameter.
Lists templates modified on or after this date.
Lists templates modified before this date.
Specifies the sort order of the search results. Valid values are: - `asc`: Ascending (A to Z) - `desc`: Descending (Z to A)
Specifies how the search results are listed. Valid values are: - `name`: template name - `modified`: date/time template was last modified - `used`: date/time the template was last used.
A comma-separated list of additional template properties to search. - `sender`: Include sender name and email in the search. - `recipients`: Include recipient names and emails in the search. - `envelope`: Not used in template searches.
The text to use to search the names of templates. Limit: 48 characters.
When **true,** the response only includes templates shared by the user. When **false,** the response only returns template not shared by the user. If not specified, templates are returned whether or not they have been shared by the user.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
A comma-separated list of template IDs to download. This value is valid only when `is_download` is **true.**
The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. **Note:** If this property is null, the value defaults to the current date.
Start of the search date range. Only returns templates used or edited on or after this date/time. If no value is specified, there is no limit on the earliest date used.
End of the search date range. Only returns templates used or edited up to this date/time. If no value is provided, this defaults to the current date.
Filters the templates in the response. Valid values are: - `owned_by_me`: Results include only templates owned by the user. - `shared_with_me`: Results include only templates shared with the user. - `all`: Results include all templates owned or shared with the user.
The ID of the user.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/templates' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/templatesRetrieves the list of templates for the specified account. The request can be limited to a specific folder. ### Related topics - How to create a template
The external account number (int) or account ID GUID.
The maximum number of results to return. Use `start_position` to specify the number of results to skip. **Note:** If the `count` parameter is not used, `listTemplates` has a default limit of 2,000 templates. If the account has more than 2,000 templates, `listTemplates` will return the first 2,000 templates. To retrieve more than 2,000 templates, repeat the API call, specifying `start_position` and `count` to control the number of templates retrieved.
Lists templates created on or after this date.
Lists templates modified before this date.
A comma-separated list of folder ID GUIDs.
The type of folder to return templates for. Possible values are: - `templates`: Templates in the **My Templates** folder. Templates in the **Shared Templates** and **All Template** folders (if the request ID from and Admin) are excluded. - `templates_root`: Templates in the root level of the **My Templates** folder, but not in an actual folder. Note that the **My Templates** folder is not a real folder. - `recylebin`: Templates that have been deleted.
Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created.
A comma-separated list of additional template attributes to include in the response. Valid values are: - `powerforms`: Includes details about the PowerForms associated with the templates. - `documents`: Includes information about template documents. - `folders`: Includes information about the folder that holds the template. - `favorite_template_status`: Includes the template `favoritedByMe` property. **Note:** You can mark a template as a favorite only in eSignature v2.1. - `advanced_templates`: Includes information about advanced templates. - `recipients`: Includes information about template recipients. - `custom_fields`: Includes information about template custom fields. - `notifications`: Includes information about the notification settings for templates.
When **true,** retrieves templates that have been permanently deleted. The default is **false.** **Note:** After you delete a template, you can see it in the `Deleted` bin in the UI for 24 hours. After 24 hours, the template is permanently deleted.
When **true,** downloads the templates listed in `template_ids` as a collection of JSON definitions in a single zip file. The `Content-Disposition` header is set in the response. The value of the header provides the filename of the file. The default is **false.** **Note:** This parameter only works when you specify a list of templates in the `template_ids` parameter.
Lists templates modified on or after this date.
Lists templates modified before this date.
Specifies the sort order of the search results. Valid values are: - `asc`: Ascending (A to Z) - `desc`: Descending (Z to A)
Specifies how the search results are listed. Valid values are: - `name`: template name - `modified`: date/time template was last modified - `used`: date/time the template was last used.
A comma-separated list of additional template properties to search. - `sender`: Include sender name and email in the search. - `recipients`: Include recipient names and emails in the search. - `envelope`: Not used in template searches.
The text to use to search the names of templates. Limit: 48 characters.
When **true,** the response only includes templates shared by the user. When **false,** the response only returns template not shared by the user. If not specified, templates are returned whether or not they have been shared by the user.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
A comma-separated list of template IDs to download. This value is valid only when `is_download` is **true.**
The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. **Note:** If this property is null, the value defaults to the current date.
Start of the search date range. Only returns templates used or edited on or after this date/time. If no value is specified, there is no limit on the earliest date used.
End of the search date range. Only returns templates used or edited up to this date/time. If no value is provided, this defaults to the current date.
Filters the templates in the response. Valid values are: - `owned_by_me`: Results include only templates owned by the user. - `shared_with_me`: Results include only templates shared with the user. - `all`: Results include all templates owned or shared with the user.
The ID of the user.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/templates' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}